/**
 * Demo of task project.
 * @memberof module:apeman-demo-task/lib
 * @function define
 * @param {object} [options] - Optional settings.
 * @returns {function} - Defined task function.
 */

"use strict";

var argx = require('argx'),
    objnest = require('objnest');

/** @lends define */
function define(options) {
    var args = argx(arguments);
    options = objnest.expand(args.pop('object') || {});

    /**
     * Defined task.
     * @function task
     * @param {object} context - Apeman task context.
     * @param {function} callback - Callback when done.
     */
    function task(context, callback) {
        var logger = context.logger,
            verbose = context.verbose;

        callback(null);
    }

    // Description of this task.
    task.$desc = "";
    return task;
}

module.exports = define;
